Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.hash
Class Whirlpool

    java.lang.Object
      |
      +--gnu.crypto.hash.BaseHash
            |
            +--gnu.crypto.hash.Whirlpool

All Implemented Interfaces:
  java.lang.Cloneable, IMessageDigest

public final class Whirlpool
extends BaseHash

Whirlpool, a new 512-bit hashing function operating on messages less than 2 ** 256 bits in length. The function structure is designed according to the Wide Trail strategy and permits a wide variety of implementation trade-offs.

IMPORTANT: This implementation is not thread-safe.

References:

1. The WHIRLPOOL Hashing Function.
   Paulo S.L.M. Barreto and Vincent Rijmen.

Version:
  $Revision: 1.6 $

Fields inherited from class gnu.crypto.hash.BaseHash
`blockSize, buffer, count, hashSize, name`

Constructor Summary
`Whirlpool()` Trivial 0-arguments constructor.

Method Summary
`(package private) static void` | `()`
`java.lang.Object` | `clone()` Returns a clone copy of this instance.
`protected byte[]` | `getResult()` Constructs the result from the contents of the current context.
`protected byte[]` | `padBuffer()` Returns the byte array to use as padding before completing a hash operation.
`protected void` | `resetContext()` Resets the instance for future re-use.
`boolean` | `selfTest()` A basic test.
`protected void` | `transform(byte[] in, int offset)` The block digest transformation per se.

Methods inherited from class gnu.crypto.hash.BaseHash
`blockSize, digest, hashSize, name, reset, update, update`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Whirlpool

    public Whirlpool()

  Trivial 0-arguments constructor.

Method Detail

###

    static void ()

### clone

    public java.lang.Object clone()

  Description copied from interface: `IMessageDigest`

  Returns a clone copy of this instance.

  Overrides:
    `clone` in class `BaseHash`
  Following copied from interface: `gnu.crypto.hash.IMessageDigest`
  Returns:
    a clone copy of this instance.

### transform

    protected void transform(byte[] in,
                             int offset)

  Description copied from class: `BaseHash`

  The block digest transformation per se.

  Overrides:
    `transform` in class `BaseHash`
  Following copied from class: `gnu.crypto.hash.BaseHash`
  Parameters:
    `in` - the blockSize long block, as an array of bytes to digest.
    `offset` - the index where the data to digest is located within the input buffer.

### padBuffer

    protected byte[] padBuffer()

  Description copied from class: `BaseHash`

  Returns the byte array to use as padding before completing a hash operation.

  Overrides:
    `padBuffer` in class `BaseHash`
  Following copied from class: `gnu.crypto.hash.BaseHash`
  Returns:
    the bytes to pad the remaining bytes in the buffer before completing a hash operation.

### getResult

    protected byte[] getResult()

  Description copied from class: `BaseHash`

  Constructs the result from the contents of the current context.

  Overrides:
    `getResult` in class `BaseHash`
  Following copied from class: `gnu.crypto.hash.BaseHash`
  Returns:
    the output of the completed hash operation.

### resetContext

    protected void resetContext()

  Description copied from class: `BaseHash`
  Resets the instance for future re-use.
  Overrides:
    `resetContext` in class `BaseHash`

### selfTest

    public boolean selfTest()

  Description copied from interface: `IMessageDigest`

  A basic test. Ensures that the digest of a pre-determined message is equal to a known pre-computed value.

  Overrides:
    `selfTest` in class `BaseHash`
  Following copied from interface: `gnu.crypto.hash.IMessageDigest`
  Returns:
    `true` if the implementation passes a basic self-test. Returns `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.